<?php
namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;

class SelectProdutoRelVenProdCons{
    
    protected $entityManager;
    
    public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }
    
    public function adqParametros($conditions){
       return $this->entityManager->getConnection()->fetchAll(self::ADQ_PARAMETROS, $conditions);
    }
    
    const ADQ_PARAMETROS = "
    SELECT  F.CDFILIAL, F.NMFILIAL, F.CDSEGMER, P.CDGRPRODPDV
        FROM
        FILIAL F
        JOIN 
        PARAVEND P ON F.CDFILIAL = P.CDFILIAL
        WHERE F.CDFILIAL = :CDFILIAL
        AND F.NRORG = :NRORG
        ORDER BY 
        F.CDFILIAL
    ";
}